Foxit PDF SDK

Instance Methods | List of all members
FSFillSignObject Class Reference
Inheritance diagram for FSFillSignObject:

## Instance Methods
(BOOL) | - generateContent
| Generate content for current fill-sign object. More...
(FSRectF *) | - getRect
| Get rectangle, in PDF coordinate system. More...
(FSFillSignFillSignObjectType) | - getType
| Get fill-sign type. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another fill-sign object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - move:width:height:rotation:
| Move current fill-sign object. More...

## Detailed Description

Class FSFillSignObject is the base class for all kinds of fill-sign object. This class offers base functions to get type, to move a fill-sign object or to generate content for a fill-sign object.

## Method Documentation

## ◆ generateContent()

- (BOOL) generateContent |  |  |

Generate content for current fill-sign object.

For fill-sign object with type FSFillSignFillSignObjectTypeSignature or FSFillSignFillSignObjectTypeInitialsSignature, function FSSignatureFillSignObject::setBitmap: should be called first.

Returns
  YES means success, while NO means failure.

## ◆ getRect()

- (FSRectF *) getRect |  |  |

Get rectangle, in PDF coordinate system.

Returns
  Fill-sign object rectangle. If there is no rectangle information, a RectF object with all 0 values would be returned.

## ◆ getType()

- (FSFillSignFillSignObjectType) getType |  |  |

Get fill-sign type.

Returns
  Fill-sign type. Please refer to values starting from FSFillSignFillSignObjectTypeText and this would be one of these values.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSFillSignObject*) | other |

Constructor, with another fill-sign object.

Parameters

  [in] | other | Another fill-sign object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ move:width:height:rotation:()

- (void) move: |  | (FSPointF*) | point
width: |  | (float) | width
height: |  | (float) | height
rotation: |  | (FSRotation) | rotation

Move current fill-sign object.

- If to add a fill-sign object with type FSFillSignFillSignObjectTypeCrossMark, FSFillSignFillSignObjectTypeCheckMark, FSFillSignFillSignObjectTypeLine or FSFillSignFillSignObjectTypeDot, the bigger value of input width and height will be used as both width and height as the moving result.
- If to move a fill-sign object with type FSFillSignFillSignObjectTypeLine, input height is useless and will be ignored.
- This function does not support to move a fill-sign object with FSFillSignFillSignObjectTypeSignature or FSFillSignFillSignObjectTypeInitialsSignature. For this case, exception will be thrown.

Parameters

  [in] | point | New left-bottom point for current fill-sign object, in PDF coordinate system.
  [in] | width | New width for current fill-sign object.
  [in] | height | New height for current fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from FSRotation0 and this should be one of these values except FSRotationUnknown.

Returns
  None.